/** @file
  IioCfgUpdateDxeNeonCityEPRP.c -- IioCfgUpdateDxeNeonCityEPRP

  Auto-converted from IDA decompiler output.
  Functions: 1

Copyright (c) HR650X BIOS Decompilation Project
**/

#include "IioCfgUpdateDxeNeonCityEPRP.h"


// Function: ModuleEntryPoint
EFI_STATUS ModuleEntryPoint(EFI_HANDLE ImageHandle, EFI_SYSTEM_TABLE *SystemTable)
{
  ::ImageHandle = (__int64)ImageHandle;
  if (!ImageHandle) {
    sub_604(
      "e:\\hs\\MdePkg\\Library\\UefiBootServicesTableLib\\UefiBootServicesTableLib.c",
      51,
      "gImageHandle != ((void *) 0)");
  }

  ::SystemTable = (__int64)SystemTable;
  if (!SystemTable) {
    sub_604(
      "e:\\hs\\MdePkg\\Library\\UefiBootServicesTableLib\\UefiBootServicesTableLib.c",
      57,
      "gST != ((void *) 0)");
  }

  BootServices = (__int64)SystemTable->BootServices;
  if (!BootServices) {
    sub_604(
      "e:\\hs\\MdePkg\\Library\\UefiBootServicesTableLib\\UefiBootServicesTableLib.c",
      63,
      "gBS != ((void *) 0)");
  }

  RuntimeServices = (__int64)SystemTable->RuntimeServices;
  if (!RuntimeServices) {
    sub_604(
      "e:\\hs\\MdePkg\\Library\\UefiRuntimeServicesTableLib\\UefiRuntimeServicesTableLib.c",
      47,
      "gRT != ((void *) 0)");
  }

  sub_644();
  return sub_43C();
}
